import * as AWS from 'aws-sdk';
import { PromiseResult } from 'aws-sdk/lib/request';
import { LambdaConfig } from '../config/lambda-config';
/**
 * Fire up an EC2 instace.
 */
export declare class NshmpHazS3Lambda {
    private ec2;
    private s3;
    /**
     * Fire up an EC2 instance and run nshmp-haz
     *
     * @param config The config
     */
    startComputeJob(config: LambdaConfig): Promise<PromiseResult<AWS.EC2.Reservation, AWS.AWSError> | void>;
    private checkInstance;
    private runEC2Instance;
}
